/*
Parameters: <E> the type of elements that can be stored
*/
public interface Mano<E> {
    int size();
    boolean isEmpty();
    boolean add(E e);
    boolean remove(Object o);
}
/*
 * - Podeis mirar el public interface List<E> extends Collection<E> :
http://grepcode.com/file/repository.grepcode.com/java/root/jdk/openjdk/6-b14/java/util/List.java
*/